# Contributing to Fusion

Thank you for investing your time in contributing to our project!

Before you start contributing, please take a moment to read through these guidelines. They will help you understand how to contribute effectively and make the process smoother for everyone involved.

## Issues

- Please search for existing issues before creating a new one. If you find an existing issue that matches your concern, please add your comments there instead of creating a new issue.
- If you are reporting a bug, please provide as much detail as possible, including steps to reproduce the issue, expected behavior, and actual behavior. Screenshots or logs are very helpful.
- If you are suggesting a new feature or improvement, please explain the use case and how it would benefit the project. A clear description helps us understand your perspective better.
- If you are unsure whether your issue is a bug or a feature request, feel free to ask in the issue comments. We are here to help!

## Pull requests

- Please ensure your PR is clear and concise. One PR should ideally address one issue or feature request at a time.
- A good PR description should include:
  - A brief summary of the changes you made.
  - The reason for these changes and any relevant context.
  - Any related issues or discussions (link to them if possible).
- Make sure your code follows the project's coding style and conventions. You can run the linter and formatter to check for any issues before submitting your PR.
- Set the status to Draft if your PR is still a work in progress. This helps us understand that you are not yet ready for a review.
- AI coding is cool, but please carefully review the code before submitting a PR, rather than just relying on 'vibe coding'.
